> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an archive for a matter.

> Updates a specified matter's archive



## OpenAPI

````yaml /openapi.json put /matters/{matterId}/archive
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/archive:
    put:
      tags:
        - Matters
      summary: Update an archive for a matter.
      description: Updates a specified matter's archive
      operationId: UpdateArchive
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ArchiveDto'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ArchiveDto'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ArchiveDto'
      responses:
        '202':
          description: When request is accepted. Returns a 'Link' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ArchiveDto:
      required:
        - isArchived
      type: object
      properties:
        archivedDate:
          type: string
          description: Date the matter was archived.
          format: date-time
          example: '2022-04-23T14:00:00Z'
        archiveBoxNumber:
          type: string
          description: Archive box number.
          nullable: true
          example: '24'
        archiveComments:
          type: string
          description: Archive comments.
          nullable: true
          example: Lot 1
        archivedLocation:
          type: string
          description: Archived location.
          nullable: true
          example: Box
        destroyDate:
          type: string
          description: Date the files of the matter were destroyed.
          format: date-time
          example: '2022-04-29T14:00:00Z'
        isArchived:
          type: boolean
          description: Flag indicating if the matter is archived.
          example: true
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````